<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Auth;

class AnimationResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = Auth::user()->language;
        if($request && $request->tz) {
            date_default_timezone_set($request->tz);
        }
        setlocale(LC_TIME, ($lang == 'fr' ? 'fr_FR' : 'en_US'));
        Carbon::setLocale($lang);
        $format = ($lang == 'fr' ? "d/m/Y H:i" : "Y-m-d H:i");
        return [
            'id' => $this->id,
            'name' => $this->name,
            'showman' => $this->showman,
            'type' => $this->type,
            'date' => Carbon::parse($this->date)->format($format),
            'when' => Carbon::parse($this->date)->diffForHumans(),
            'showman_link' => $this->showman_link,
            'entrant_link' => $this->entrant_link,
            'entrant_link_updated' => $this->entrant_link_updated,
            'image_url' => $this->imageUrl(),
        ];
    }
}
