<?php

namespace App\Models;

//use Illuminate\Database\Eloquent\Factories\HasFactory;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class Animation extends Model
{
//    use HasFactory;
    protected $fillable = [
        'name',
        'showman',
        'date',
        'showman_link',
        'entrant_link',
        'entrant_link_updated',
        'image_url',
    ];

    protected $dates = [
        'date'
    ];

    public static function boot()
    {
        parent::boot();

        static::deleting(function($model) {
            $model->users()->detach();
        });
    }

    public function getDateAttribute($value)
    {
        return Carbon::parse($value)->format('Y-m-d\TH:i');
    }

    public function users() {
        return $this->belongsToMany(User::class)->withPivot('activated');
    }

    public function imageUrl() {
        return url('/') . '/storage/' . $this->image_url;
    }

    /*public function hasUser($id) {
        return $this->users->contains($id);
    }

    public function scopeHasUser($query, $alias, $id)
    {
        $query->addSelect([
            $alias => User::selectRaw('IF(COUNT(users.id), 1, 0)')
                ->leftJoin('animation_user', 'animation_user.user_id', 'users.id')
                ->whereColumn('animation_user.animation_id', 'animations.id')
                ->where('users.id', $id)
        ]);
    }*/

}
