<x-slot name="header">
    <h2 class="font-semibold text-xl text-gray-800 leading-tight">
        {{$animation->name ?? "New"}}
    </h2>
</x-slot>
 
<form action="#" method="POST" autocomplete="off">
    <input type="hidden" wire:model="animation_id">
    <div class="shadow overflow-hidden sm:rounded-md">
        <div class="px-4 py-5 bg-white sm:p-6">
            <div class="grid grid-cols-6 gap-6">
                <div class="col-span-6 sm:col-span-3">
                    <label for="name" class="block text-sm font-medium text-gray-700 font-bold">Name</label>
                    <input type="text" id="name" class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md" wire:model.lazy="animation.name">
                    @error('animation.name') <span class="text-red-700">{{ $message }}</span>@enderror
                </div>
                <div class="col-span-6 sm:col-span-3">
                    <label for="showman" class="block text-sm font-medium text-gray-700 font-bold">Showman</label>
                    <input type="text" id="showman" class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md" wire:model.lazy="animation.showman">
                    @error('animation.showman') <span class="text-red-700">{{ $message }}</span>@enderror
                </div>
                <div class="col-span-6 sm:col-span-3">
                    <label for="showman_link" class="block text-sm font-medium text-gray-700 font-bold">Video link</label>
                    <input type="text" id="showman_link" class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md" wire:model.lazy="animation.showman_link">
                    @error('animation.showman_link') <span class="text-red-700">{{ $message }}</span>@enderror
                </div>
                <div class="col-span-6 sm:col-span-3">
                    <label for="entrant_link" class="block text-sm font-medium text-gray-700 font-bold">Link KANIM (pour ancienne version)</label>
                    <input type="text" id="entrant_link" class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md" wire:model.lazy="animation.entrant_link">
                    @error('animation.entrant_link') <span class="text-red-700">{{ $message }}</span>@enderror
                </div>
                <div class="col-span-6 sm:col-span-3">
                    <label for="entrant_link_updated" class="block text-sm font-medium text-gray-700 font-bold">Link KANIM V2 (nouvelle version application)</label>
                    <input type="text" id="entrant_link_updated" class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md" wire:model.lazy="animation.entrant_link_updated">
                    @error('animation.entrant_link_updated') <span class="text-red-700">{{ $message }}</span>@enderror
                </div>
                <div class="col-span-6 sm:col-span-3">
                    <label for="date" class="block text-sm font-medium text-gray-700 font-bold">Date</label>
                    <input type="datetime-local" id="date" class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md" wire:model.lazy="animation.date">
                    @error('animation.date') <span class="text-red-700">{{ $message }}</span>@enderror
                </div>
                <div class="col-span-6 sm:col-span-3">
                    <label for="type" class="block text-sm font-medium text-gray-700 font-bold">Type (quizz, culture or news only, lowercase)</label>
                    <input type="text" id="type" class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md" wire:model.lazy="animation.type">
                    @error('animation.type') <span class="text-red-700">{{ $message }}</span>@enderror
                </div>
                <div class="col-span-6 sm:col-span-3">
                    <label for="photo" class="block text-sm font-medium text-gray-700 font-bold">Image</label>
                    @if ($animation && $animation->image_url)
                        <img src="{{url('/')}}/storage/{{ $animation->image_url }}" class="inline-block max-w-xs max-h-60" />
                    @endif
                    <input type="file" wire:model="photo">
                    @error('photo') <span class="text-red-700">{{ $message }}</span>@enderror
                </div>
            </div>
            <div class="px-4 py-3 bg-gray-50 text-right sm:px-6">
                <div class="h-full items-center shadow-none inline-block align-middle" wire:loading>
                    <div class="animate-spin ease-linear rounded-full border-8 border-t-8 border-gray-200 h-8 w-8 m-1" style="border-top-color: #3498db;"></div>
                </div>
                <button wire:click.prevent="{{$saveMethod}}()" class="py-2 px-4 border border-transparent shadow-sm text-sm font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                    Save
                </button>
            </div>
        </div>
        <div>
            @if (session()->has('message'))
                <div class="bg-green-600 text-center px-4 py-3 sm:px-6 text-white">
                    {{ session('message') }}
                </div>
            @endif
            @if (session()->has('error-message'))
                <div class="bg-red-600 text-center px-4 py-3 sm:px-6 text-white">
                    {{ session('error-message') }}
                </div>
            @endif
        </div>
    </div>
</form>
