<?php

use App\Http\Controllers\AuthController;
use App\Http\Resources\AnimationResource;
use App\Http\Resources\UserResource;
use Carbon\Carbon;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use Illuminate\Http\Request;



/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::get('/', function () {
    return "Hi, I don't know how to say this but erm... I hate you.";
});

Route::middleware(['auth:sanctum'])->group(function () {

    Route::get('/user/residences', function () {

        $residences = Auth::user()->residences();
        return $residences;
    });

    Route::get('/user', function () {
        return new UserResource(Auth::user());
    });
    
    Route::get('/user/current_animation', function (Request $request) {
        if($request->tz) {
            date_default_timezone_set($request->tz);
        }
        return Auth::user()->activeAnimations()->wherePivot('activated', '!=', null)->exists() ?
            new AnimationResource(Auth::user()->activeAnimations()->latest('activated')->latest()->first()) :
            null;
    });
    Route::patch('user/current_animation', function (Request $request) {
        return Auth::user()->animations()->updateExistingPivot($request->get('animation_id'), [
            'activated' => Carbon::now(),
        ]);
    });
    Route::patch('/user/language', function (Request $request) {
        return Auth::user()->update(['language' => $request->get('language')]);
    });
});

Route::post('login', [AuthController::class, 'login']);
